# Uses of Class
javafx.scene.control.Tooltip

Packages that use Tooltip
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of Tooltip in javafx.scene.control

Methods in javafx.scene.control that return Tooltip
Modifier and Type
Method
Description
`final Tooltip`
Control.`getTooltip()`
Gets the value of the `tooltip` property.
`final Tooltip`
Tab.`getTooltip()`
The tooltip associated with this tab.
Methods in javafx.scene.control that return types with arguments of type Tooltip
Modifier and Type
Method
Description
`final ObjectProperty<Tooltip>`
Control.`tooltipProperty()`
The ToolTip for this control.
`final ObjectProperty<Tooltip>`
Tab.`tooltipProperty()`
The tooltip associated with this tab.
Methods in javafx.scene.control with parameters of type Tooltip
Modifier and Type
Method
Description
`static void`
Tooltip.`install(Node node, Tooltip t)`
Associates the given `Tooltip` with the given `Node`.
`final void`
Control.`setTooltip(Tooltip value)`
Sets the value of the `tooltip` property.
`final void`
Tab.`setTooltip(Tooltip value)`
Specifies the tooltip to show when the user hovers over the tab.
`static void`
Tooltip.`uninstall(Node node, Tooltip t)`
Removes the association of the given `Tooltip` on the specified `Node`.

## Uses of Tooltip in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return Tooltip
Modifier and Type
Method
Description
`Tooltip`
TooltipSkin.`getSkinnable()`
Gets the Skinnable to which this Skin is assigned.
Constructors in javafx.scene.control.skin with parameters of type Tooltip
Modifier
Constructor
Description
``
`TooltipSkin(Tooltip t)`
Creates a new TooltipSkin instance for the given `Tooltip`.